#include <bits/stdc++.h>

using namespace std;

map<int,int>mete;
int niz[1000050];
vector<int>res;

int main()
{
    int n,k;
    cin>>n>>k;
    for(int i=0;i<n;i++)
    {
        int x;
        cin>>x;
        mete[x]++;
        if(mete[x]==k)res.push_back(x);
    }
    cout<<res.size()<<endl;
    for(int i=0;i<res.size();i++)
        cout<<res[i]<<" ";
    return 0;
}